Subject: Having pine 3.92 understand URLs....

From: [email-masked] (Peter Whittaker)
Date: 18 Mar 1996 17:33:46 GMT

IWBNI pine 3.92 or some later version understood URLs embedded in
message text.  For example:  I receive a message that includes URLs, I
press the "follow URLs" command key, pine prompts me with a list of
numbered URLs from the message body and asks which one I would like to
follow:  when I select one, pine fires off an external program to handle
that URL.

The config menu would include a mapping between URL type and external
application to use to against that type.  For example, ftp URLs would
activate an ncftp session to retrieve the named file.  Configuration of
the external URL handler would be up to me, and would not be done from
within pine.  Configuration information would include whether to process
the URL inline/in the foreground (fork and exec handler, wait for
handler to complete, handler takes over the screen) or offline/in the
background (fork and exec handler, handler detaches, pine doesn't wait
around).  Even better would be the ability to send into the background a
URL being handled in the foreground (the ability to recall it later is
not necessary, though IAWBN).

pww

-- 
Peter Whittaker      [~~~~~~~~~~~~~~~~~~~~~~~~~~]   X.500 Specialist
[email-masked]      [  http://www.entrust.com  ]   Nortel Secure Networks
Ph: +1 613 765 2064  [                          ]   P.O. Box 3511, Station C
FAX:+1 613 765 3520  [__________________________]   Ottawa, Canada, K1Y 4H7